CREATE TABLE hwr_goal_f (
    GOAL_ID                      NUMBER(18, 0) ,
    SOURCE_ID                    NUMBER(18, 0) ,
    CONVERSATION_ID              VARCHAR2(400) ,
    GOAL_METRIC                  VARCHAR2(2048)    NOT NULL,
    LOWER_BOUND                  NUMBER        ,
    UPPER_BOUND                  NUMBER        ,
    EFFECTIVE_START_DATE         DATE              NOT NULL,
    EFFECTIVE_END_DATE           DATE              NOT NULL,
    UNITS                        VARCHAR2(200) ,
    FREQUENCY                    VARCHAR2(200) ,
    GOAL_TYPE                    VARCHAR2(320) ,
    CATEGORY                     VARCHAR2(1024),
    GOAL_NAME                    VARCHAR2(1600),
    PARTICIPATION_RATE_TARGET    NUMBER(18, 2) ,
    REWARD_ID                    NUMBER(18, 0) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    GOAL_ID                      NUMBER(18, 0) ,
    GOAL_METRIC                  VARCHAR2(2048)    NOT NULL,
    LOWER_BOUND                  NUMBER        ,
    UPPER_BOUND                  NUMBER        ,
    EFFECTIVE_START_DATE         DATE              NOT NULL,
    EFFECTIVE_END_DATE           DATE              NOT NULL,
    UNITS                        VARCHAR2(200) ,
    FREQUENCY                    VARCHAR2(200) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    GOAL_TYPE                    VARCHAR2(320) ,
    CATEGORY                     VARCHAR2(1024),
    PARTICIPATION_RATE_TARGET    NUMBER(18, 2) ,
    REWARD_ID                    NUMBER(18, 0) ,
    GOAL_NAME                    VARCHAR2(1600),
    SOURCE_ID                    NUMBER(18, 0) ,
    CONVERSATION_ID              VARCHAR2(400) ,
    CONSTRAINT pk_hwr_goal_f PRIMARY KEY (GOAL_ID, GOAL_ID)
);
